# interposejs [![Build Status](https://travis-ci.org/dd1994/interposejs.svg?branch=master)](https://travis-ci.org/dd1994/interposejs)

> Clojure's function `interpose` in JavaScript


## Install

```
$ npm install --save interposejs
```


## Usage

```js
const interpose = require('interposejs');

interpose(0, [1, 2, 3]) // [1, 0, 2, 0, 3]

// also support array-like objects
interpose('x', 'abc') // [ 'a', 'x', 'b', 'x', 'c' ]
```


## API

### interpose(sep, arr)

sep is the separator, arr is an `array` or `array-like objects`.

## License

MIT © [JIANG Di](http://jiang-di.org)
